diff --git python-bugzilla2fedmsg/python-bugzilla2fedmsg.spec python-bugzilla2fedmsg/python-bugzilla2fedmsg.spec.tmp
index 061210faef..38f0c60f1b 100644
--- python-bugzilla2fedmsg/python-bugzilla2fedmsg.spec
+++ python-bugzilla2fedmsg/python-bugzilla2fedmsg.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-bugzilla2fedmsg
 Version:            0.3.0
-Release:            4%{?dist}
+Release:            5%{?dist}
 Summary:            Consume BZ messages over STOMP and republish to fedmsg
 
 Group:              Development/Libraries
@@ -27,15 +27,22 @@ BuildRequires:      python-moksha-hub
 BuildRequires:      python-dateutil
 BuildRequires:      fedmsg
 
-Requires:           python-bugzilla
-Requires:           python-stomper
-Requires:           python-moksha-hub
-Requires:           python-dateutil
+%global _description\
+A moksha consumer that listens to bugzilla over STOMP and reproduces messages\
+on a fedmsg bus.
+
+%description %_description
+
+%package -n python2-bugzilla2fedmsg
+Summary: %summary
 Requires:           fedmsg
+Requires:           python-dateutil
+Requires:           python-moksha-hub
+Requires:           python-stomper
+Requires:           python-bugzilla
+%{?python_provide:%python_provide python2-bugzilla2fedmsg}
 
-%description
-A moksha consumer that listens to bugzilla over STOMP and reproduces messages
-on a fedmsg bus.
+%description -n python2-bugzilla2fedmsg %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -54,12 +61,16 @@ rm -rf %{modname}.egg-info
 #%%check
 #%%{__python2} setup.py test
 
-%files
+%files -n python2-bugzilla2fedmsg
 %doc README.rst LICENSE CHANGELOG.rst development.ini.example
 %{python2_sitelib}/%{modname}.py*
 %{python2_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-5
+- Python 2 subpackage renamed to python2-bugzilla2fedmsg
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-bunch/python-bunch.spec python-bunch/python-bunch.spec.tmp
index 5064bce001..e999452319 100644
--- python-bunch/python-bunch.spec
+++ python-bunch/python-bunch.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-bunch
 Version:        1.0.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Python dictionary with attribute-style access
 
 Group:          Development/Languages
@@ -21,22 +21,30 @@ BuildRequires:  dos2unix
 BuildRequires: python-setuptools
 BuildRequires: python-nose
 
-%description
-python-bunch provides a python class which can perform as a dict whose keys are
-also accessible as attributes, similar to JavaScript objects.  For instance::
+%global _description\
+python-bunch provides a python class which can perform as a dict whose keys are\
+also accessible as attributes, similar to JavaScript objects.  For instance::\
+\
+  >>> import bunch\
+  >>> people = bunch.Bunch({'alice': 'here', 'bob': 'there'})\
+  >>> print people['alice'], people.alice\
+  here here\
+\
+The piece of python-bunch that sets it apart from similar modules found inside\
+other projects is the bunchify() function which recursively converts from\
+a dict to a Bunch::\
+\
+  >>> multi_level = {'array': ['scalar', {'mapping': 'to show recursion'} ]}\
+  >>> bunch.bunchify(multi_level)\
+  Bunch(array=['scalar', Bunch(mapping='to show recursion')])
 
-  >>> import bunch
-  >>> people = bunch.Bunch({'alice': 'here', 'bob': 'there'})
-  >>> print people['alice'], people.alice
-  here here
+%description %_description
 
-The piece of python-bunch that sets it apart from similar modules found inside
-other projects is the bunchify() function which recursively converts from
-a dict to a Bunch::
+%package -n python2-bunch
+Summary: %summary
+%{?python_provide:%python_provide python2-bunch}
 
-  >>> multi_level = {'array': ['scalar', {'mapping': 'to show recursion'} ]}
-  >>> bunch.bunchify(multi_level)
-  Bunch(array=['scalar', Bunch(mapping='to show recursion')])
+%description -n python2-bunch %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -58,13 +66,17 @@ rm -rf %{buildroot}
 PYTHONPATH=build/lib nosetests --with-doctest
 PYTHONPATH=build/lib python build/lib/bunch/test.py
 
-%files
+%files -n python2-bunch
 %defattr(-,root,root,-)
 %doc LICENSE.txt README.rst
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-12
+- Python 2 subpackage renamed to python2-bunch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-CacheControl/python-CacheControl.spec python-CacheControl/python-CacheControl.spec.tmp
index 8ded8d5728..7db9a7591b 100644
--- python-CacheControl/python-CacheControl.spec
+++ python-CacheControl/python-CacheControl.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.11.5
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        httplib2 caching for requests
 
 License:        MIT
@@ -25,13 +25,20 @@ BuildRequires:  python-redis
 BuildRequires:  python-requests
 BuildRequires:  python-webtest
 
+%global _description\
+CacheControl is a port of the caching algorithms in httplib2_ for use with\
+requests_ session object. It was written because httplib2's better support\
+for caching is often mitigated by its lack of threadsafety. The same is\
+true of requests in terms of caching.
+
+%description %_description
+
+%package -n python2-cachecontrol
+Summary: %summary
 Requires:       python-requests
+%{?python_provide:%python_provide python2-cachecontrol}
 
-%description
-CacheControl is a port of the caching algorithms in httplib2_ for use with
-requests_ session object. It was written because httplib2's better support
-for caching is often mitigated by its lack of threadsafety. The same is
-true of requests in terms of caching.
+%description -n python2-cachecontrol %_description
 
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
@@ -106,7 +113,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-cachecontrol
 %doc README.rst
 %{python2_sitelib}/%{pypi_name_lower}
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -120,6 +127,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11.5-8
+- Python 2 subpackage renamed to python2-cachecontrol
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cachetools/python-cachetools.spec python-cachetools/python-cachetools.spec.tmp
index 78c5096cda..72dc652727 100644
--- python-cachetools/python-cachetools.spec
+++ python-cachetools/python-cachetools.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-cachetools
 Version:        2.0.0
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Extensible memoizing collections and decorators
 
 License:        MIT
@@ -20,15 +20,23 @@ BuildRequires:  python-setuptools
 BuildRequires:  python3-devel
 %endif # with python3
 
-%description
-This module provides various memoizing collections and decorators,
-including a variant of the Python 3 Standard Library @lru_cache
-function decorator.
+%global _description\
+This module provides various memoizing collections and decorators,\
+including a variant of the Python 3 Standard Library @lru_cache\
+function decorator.\
+\
+This module provides multiple cache implementations based on different\
+cache algorithms, as well as decorators for easily memoizing function\
+and method calls.\
 
-This module provides multiple cache implementations based on different
-cache algorithms, as well as decorators for easily memoizing function
-and method calls.
 
+%description %_description
+
+%package -n python2-cachetools
+Summary: %summary
+%{?python_provide:%python_provide python2-cachetools}
+
+%description -n python2-cachetools %_description
 
 %if %{with python3}
 %package     -n python3-cachetools
@@ -95,7 +103,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-cachetools
 %doc python2/CHANGES.rst python2/PKG-INFO python2/README.rst
 %license python2/LICENSE
 # For noarch packages: sitelib
@@ -113,6 +121,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.0-6
+- Python 2 subpackage renamed to python2-cachetools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cairosvg/python-cairosvg.spec python-cairosvg/python-cairosvg.spec.tmp
index bfed76839a..fd309bed38 100644
--- python-cairosvg/python-cairosvg.spec
+++ python-cairosvg/python-cairosvg.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:               python-cairosvg
 Version:            1.0.20
-Release:            5%{?dist}
+Release:            6%{?dist}
 Summary:            A Simple SVG Converter for Cairo
 
 Group:              Development/Libraries
@@ -20,20 +20,28 @@ BuildArch:          noarch
 
 BuildRequires:      python2-devel
 BuildRequires:      pycairo
-Requires:           pycairo
 
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-cairo
 %endif
 
-%description
-CairoSVG is a SVG converter based on Cairo. It can export SVG files to PDF,
-PostScript and PNG files.
-
-For further information, please visit the CairoSVG Website
+%global _description\
+CairoSVG is a SVG converter based on Cairo. It can export SVG files to PDF,\
+PostScript and PNG files.\
+\
+For further information, please visit the CairoSVG Website\
 http://www.cairosvg.org
 
+%description %_description
+
+%package -n python2-cairosvg
+Summary: %summary
+Requires:           pycairo
+%{?python_provide:%python_provide python2-cairosvg}
+
+%description -n python2-cairosvg %_description
+
 %if 0%{?with_python3}
 %package -n python3-cairosvg
 Summary:            A Simple SVG Converter for Cairo
@@ -80,7 +88,7 @@ popd
 %endif
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-cairosvg
 %doc README.rst COPYING NEWS.rst TODO.rst
 %{python_sitelib}/%{modname}/
 %{python_sitelib}/%{eggname}-%{version}*
@@ -95,6 +103,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.20-6
+- Python 2 subpackage renamed to python2-cairosvg
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.20-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-caja/python-caja.spec python-caja/python-caja.spec.tmp
index 60dc2ce018..12c04d920d 100644
--- python-caja/python-caja.spec
+++ python-caja/python-caja.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-caja
 Version:        1.18.1
-Release:        1%{?dist}
+Release:        2%{?dist}
 Epoch:          1
 Summary:        Python bindings for Caja
 
@@ -15,9 +15,17 @@ BuildRequires:  pygobject3-devel
 BuildRequires:  mate-common
 
 
-%description
+%global _description\
 Python bindings for Caja
 
+%description %_description
+
+%package -n python2-caja
+Summary: %summary
+%{?python_provide:%python_provide python2-caja}
+
+%description -n python2-caja %_description
+
 %package devel
 Summary:        Python bindings for Caja
 Group:          Development/Libraries
@@ -57,7 +65,7 @@ find $RPM_BUILD_ROOT -name '*.la' -delete
 %postun -p /sbin/ldconfig
 
 
-%files -f %{name}.lang
+%files -n python2-caja -f %{name}.lang
 %doc README AUTHORS COPYING NEWS
 %{_libdir}/caja/extensions-2.0/libcaja-python.so
 %{_datadir}/caja/extensions/libcaja-python.caja-extension
@@ -73,6 +81,10 @@ find $RPM_BUILD_ROOT -name '*.la' -delete
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:1.18.1-2
+- Python 2 subpackage renamed to python2-caja
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.1-1
 - update to 1.18.1
 
diff --git python-carddav/python-carddav.spec python-carddav/python-carddav.spec.tmp
index 1bce9b3a54..086932d373 100644
--- python-carddav/python-carddav.spec
+++ python-carddav/python-carddav.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-carddav
 Version:        0.7.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Python CardDAV client compatible with mutt
 
 License:        MIT
@@ -15,16 +15,24 @@ Patch0:         %{name}-remove-shebangs.patch
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-vobject
-Requires:       python-urwid
-Requires:       python-requests
-Requires:       python-lxml
-Requires:       pyxdg
-Requires:       python-dateutil
 
-%description
-Python library and front-end for syncing CardDAV
+%global _description\
+Python library and front-end for syncing CardDAV\
+
+
+%description %_description
 
+%package -n python2-carddav
+Summary: %summary
+Requires:       python-dateutil
+Requires:       pyxdg
+Requires:       python-lxml
+Requires:       python-requests
+Requires:       python-urwid
+Requires:       python-vobject
+%{?python_provide:%python_provide python2-carddav}
+
+%description -n python2-carddav %_description
 
 %prep
 %setup -q -n pyCardDAV-%{version}
@@ -40,7 +48,7 @@ cp -p %{SOURCE1} README.fedora
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-carddav
 %doc README.rst README.fedora pycard.conf.sample
 %{python_sitelib}/*
 %{_bindir}/pc_query
@@ -49,6 +57,10 @@ cp -p %{SOURCE1} README.fedora
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-8
+- Python 2 subpackage renamed to python2-carddav
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-carrot/python-carrot.spec python-carrot/python-carrot.spec.tmp
index 04f2b64109..95dfbef200 100644
--- python-carrot/python-carrot.spec
+++ python-carrot/python-carrot.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{srcname}
 Version:        0.10.7
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        AMQP Messaging Framework for Python
 
 Group:          Development/Languages
@@ -17,21 +17,28 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-Requires:       python-amqplib
-Requires:       python-anyjson
-Requires:       PyYAML
+
+%global _description\
+python-carrot is an AMQP messaging queue framework. AMQP is the Advanced\
+Message Queuing Protocol, an open standard protocol for message\
+orientation, queuing, routing, reliability and security.\
+\
+The aim of python-carrot is to make messaging in Python as easy as possible\
+by providing a high-level interface for producing and consuming\
+messages. At the same time it is a goal to re-use what is already\
+available as much as possible.\
 
 
-%description
-python-carrot is an AMQP messaging queue framework. AMQP is the Advanced
-Message Queuing Protocol, an open standard protocol for message
-orientation, queuing, routing, reliability and security.
+%description %_description
 
-The aim of python-carrot is to make messaging in Python as easy as possible
-by providing a high-level interface for producing and consuming
-messages. At the same time it is a goal to re-use what is already
-available as much as possible.
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       PyYAML
+Requires:       python-anyjson
+Requires:       python-amqplib
+%{?python_provide:%python_provide python2-%{srcname}}
 
+%description -n python2-%{srcname} %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -50,7 +57,7 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{srcname}
 %defattr(-,root,root,-)
 %doc AUTHORS Changelog LICENSE
 %{python_sitelib}/%{srcname}/
@@ -58,6 +65,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.7-14
+- Python 2 subpackage renamed to python2-carrot
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.7-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cdb/python-cdb.spec python-cdb/python-cdb.spec.tmp
index 2c08aebe27..0c11269758 100644
--- python-cdb/python-cdb.spec
+++ python-cdb/python-cdb.spec.tmp
@@ -5,7 +5,7 @@
 }
 Name:           python-cdb
 Version:        0.34
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Constant database library adapted as a python extension module
 
 Group:          Development/Libraries
@@ -18,11 +18,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python2-devel python-setuptools
 
 
-%description
-D. J. Bernstein's constant database library adapted as a python 
-extension module. Like GDBM and kin, cdb files map keys to values. 
+%global _description\
+D. J. Bernstein's constant database library adapted as a python\
+extension module. Like GDBM and kin, cdb files map keys to values.\
 The file format boasts wickedly fast lookups and atomic updates.
 
+%description %_description
+
+%package -n python2-cdb
+Summary: %summary
+%{?python_provide:%python_provide python2-cdb}
+
+%description -n python2-cdb %_description
+
 %prep
 %setup -q
 %patch0 -p0
@@ -38,7 +46,7 @@ rm -rf $RPM_BUILD_ROOT
 
 
 
-%files
+%files -n python2-cdb
 %defattr(-,root,root,-)
 %doc README Example COPYING
 %{python_sitearch}/cdbmodule.so
@@ -47,6 +55,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.34-15
+- Python 2 subpackage renamed to python2-cdb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.34-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-CDDB/python-CDDB.spec python-CDDB/python-CDDB.spec.tmp
index 6ae5d5f98b..0bf1fb5b2d 100644
--- python-CDDB/python-CDDB.spec
+++ python-CDDB/python-CDDB.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-CDDB
 Version:        1.4
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        CDDB and FreeDB audio CD track info access in Python
 
 Group:          Development/Languages
@@ -13,13 +13,21 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel
 
-%description
-This is actually a set of three modules to access the CDDB and FreeDB
-online databases of audio CD track titles and information. It includes
-a C extension module to fetch track lengths under Linux, FreeBSD,
-OpenBSD, Mac OS X, Solaris, and Win32, which is easily ported to other
+%global _description\
+This is actually a set of three modules to access the CDDB and FreeDB\
+online databases of audio CD track titles and information. It includes\
+a C extension module to fetch track lengths under Linux, FreeBSD,\
+OpenBSD, Mac OS X, Solaris, and Win32, which is easily ported to other\
 operating systems.
 
+%description %_description
+
+%package -n python2-cddb
+Summary: %summary
+%{?python_provide:%python_provide python2-cddb}
+
+%description -n python2-cddb %_description
+
 %prep
 %setup -q -n CDDB-%{version}
 %{__sed} -e '/^#!/,1d' < CDDB.py > CDDB.py.tmp
@@ -37,12 +45,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-cddb
 %defattr(-,root,root,-)
 %doc CHANGES COPYING README
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4-20
+- Python 2 subpackage renamed to python2-cddb
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-characteristic/python-characteristic.spec python-characteristic/python-characteristic.spec.tmp
index 8f6e35dd14..72b204de3c 100644
--- python-characteristic/python-characteristic.spec
+++ python-characteristic/python-characteristic.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{srcname}
 Version:        14.3.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Python library that eases the chores of implementing attributes
 
 License:        MIT
@@ -25,27 +25,35 @@ BuildRequires:  python3-pytest >= 2.6
 %endif # with_python3
 
 
-%description
-NOTE: characteristic is in maintenance-only mode upstream. Projects that do
-not current use characteristic are not advised to adopt it: instead look at
-the successor project, attrs (available as python2-attrs / python3-attrs).
-
-Say 'yes' to types but 'no' to typing!
-
-characteristic is a Python package with class decorators that ease the chores
-of implementing the most common attribute-related object protocols.
-
-You just specify the attributes to work with and ``characteristic`` gives you:
-
-- a nice human-readable ``__repr__``,
-- a complete set of comparison methods,
-- and a kwargs-based initializer (that cooperates with your existing one)
-
-*without* writing dull boilerplate code again and again.
-
-So put down that type-less data structures and welcome some class into your
-life!
-
+%global _description\
+NOTE: characteristic is in maintenance-only mode upstream. Projects that do\
+not current use characteristic are not advised to adopt it: instead look at\
+the successor project, attrs (available as python2-attrs / python3-attrs).\
+\
+Say 'yes' to types but 'no' to typing!\
+\
+characteristic is a Python package with class decorators that ease the chores\
+of implementing the most common attribute-related object protocols.\
+\
+You just specify the attributes to work with and ``characteristic`` gives you:\
+\
+- a nice human-readable ``__repr__``,\
+- a complete set of comparison methods,\
+- and a kwargs-based initializer (that cooperates with your existing one)\
+\
+*without* writing dull boilerplate code again and again.\
+\
+So put down that type-less data structures and welcome some class into your\
+life!\
+
+
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
@@ -112,7 +120,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-%{srcname}
 %doc README.rst
 %license LICENSE
 
@@ -133,6 +141,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 14.3.0-9
+- Python 2 subpackage renamed to python2-characteristic
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 14.3.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-chardet/python-chardet.spec python-chardet/python-chardet.spec.tmp
index 98bed06114..1a81a0f407 100644
--- python-chardet/python-chardet.spec
+++ python-chardet/python-chardet.spec.tmp
@@ -2,7 +2,7 @@
 %global pypi_name chardet
 Name:           python-%{pypi_name}
 Version:        3.0.4
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Character encoding auto-detection in Python
 
 Group:          Development/Languages
@@ -17,10 +17,18 @@ BuildRequires:  python2-devel, python-setuptools
 BuildRequires:  python3-devel, python3-setuptools
 %endif # with_python3
 
-%description
-Character encoding auto-detection in Python. As 
+%global _description\
+Character encoding auto-detection in Python. As\
 smart as your browser. Open source.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Character encoding auto-detection in Python 3
@@ -62,7 +70,7 @@ popd
 
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-%{pypi_name}
 %{!?_licensedir:%global license %%doc}
 %license LICENSE
 %doc README.rst
@@ -80,6 +88,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.4-3
+- Python 2 subpackage renamed to python2-chardet
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cheetah/python-cheetah.spec python-cheetah/python-cheetah.spec.tmp
index 364fad4191..3276b3f9a1 100644
--- python-cheetah/python-cheetah.spec
+++ python-cheetah/python-cheetah.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-cheetah
 Version:        2.4.4
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        Template engine and code generator
 
 Group:          Development/Libraries
@@ -19,13 +19,21 @@ BuildRequires: python-setuptools
 BuildRequires: python-markdown
 BuildRequires: python-pygments
 
-%description
-Cheetah is an open source template engine and code generation tool,
-written in Python. It can be used standalone or combined with other
-tools and frameworks. Web development is its principal use, but
-Cheetah is very flexible and is also being used to generate C++ code,
+%global _description\
+Cheetah is an open source template engine and code generation tool,\
+written in Python. It can be used standalone or combined with other\
+tools and frameworks. Web development is its principal use, but\
+Cheetah is very flexible and is also being used to generate C++ code,\
 Java, SQL, form emails and even Python code.
 
+%description %_description
+
+%package -n python2-cheetah
+Summary: %summary
+%{?python_provide:%python_provide python2-cheetah}
+
+%description -n python2-cheetah %_description
+
 %prep
 %setup -q -n Cheetah-%{version}
 %patch0 -p1
@@ -49,7 +57,7 @@ export PYTHONPATH="%{buildroot}/%{python_sitearch}"
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-cheetah
 %defattr(-,root,root,-)
 %{!?_licensedir:%global license %%doc}
 %license LICENSE
@@ -85,6 +93,10 @@ rm -rf %{buildroot}
 %{python_sitearch}/Cheetah-%{version}-*.egg-info/*.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4.4-16
+- Python 2 subpackage renamed to python2-cheetah
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.4-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cherrypy2/python-cherrypy2.spec python-cherrypy2/python-cherrypy2.spec.tmp
index dda138739d..07fe72875b 100644
--- python-cherrypy2/python-cherrypy2.spec
+++ python-cherrypy2/python-cherrypy2.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-cherrypy2
 Version:        2.3.0
-Release:        25%{?dist}
+Release:        26%{?dist}
 Summary:        Pythonic, object-oriented web development framework
 Group:          Development/Libraries
 License:        BSD
@@ -23,15 +23,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires: python-setuptools
 
-Requires: python-setuptools
+%global _description\
+CherryPy allows developers to build web applications in much the same way\
+they would build any other object-oriented Python program. This usually\
+results in smaller source code developed in less time.\
+\
+This is a compat package for programs which still need the 2.x branch of\
+CherryPy.
 
-%description
-CherryPy allows developers to build web applications in much the same way 
-they would build any other object-oriented Python program. This usually 
-results in smaller source code developed in less time.
+%description %_description
 
-This is a compat package for programs which still need the 2.x branch of
-CherryPy.
+%package -n python2-cherrypy2
+Summary: %summary
+Requires: python-setuptools
+%{?python_provide:%python_provide python2-cherrypy2}
+
+%description -n python2-cherrypy2 %_description
 
 %prep
 %setup -q -n CherryPy-%{version}
@@ -62,13 +69,17 @@ cd cherrypy/test
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-cherrypy2
 %defattr(-,root,root,-)
 %doc CHANGELOG.txt CHERRYPYTEAM.txt README.txt README.fedora
 %doc cherrypy/tutorial
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.3.0-26
+- Python 2 subpackage renamed to python2-cherrypy2
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-25
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-cherrypy/python-cherrypy.spec python-cherrypy/python-cherrypy.spec.tmp
index 1768546eb4..6b670a5017 100644
--- python-cherrypy/python-cherrypy.spec
+++ python-cherrypy/python-cherrypy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-cherrypy
 Version:        3.5.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Pythonic, object-oriented web development framework
 Group:          Development/Libraries
 License:        BSD
@@ -22,11 +22,19 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-nose
 
-%description
-CherryPy allows developers to build web applications in much the same way 
-they would build any other object-oriented Python program. This usually 
+%global _description\
+CherryPy allows developers to build web applications in much the same way\
+they would build any other object-oriented Python program. This usually\
 results in smaller source code developed in less time.
 
+%description %_description
+
+%package -n python2-cherrypy
+Summary: %summary
+%{?python_provide:%python_provide python2-cherrypy}
+
+%description -n python2-cherrypy %_description
+
 %prep
 %setup -q -n CherryPy-%{version}
 %patch0 -p1
@@ -50,7 +58,7 @@ PYTHONPATH='../../' nosetests -s ./ -e 'test_SIGTERM' -e \
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-cherrypy
 %defattr(-,root,root,-)
 %doc README.txt
 %doc cherrypy/tutorial
@@ -58,6 +66,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.5.0-7
+- Python 2 subpackage renamed to python2-cherrypy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
